import { AxiosInstance, AxiosRequestConfig, AxiosResponse, Method } from 'axios';
import { DrupalError } from './DrupalError';
import { ClientInterface, ConfigRecordInterface } from './interfaces';
export declare class AxiosClient implements ClientInterface {
    client: AxiosInstance;
    constructor(options?: AxiosRequestConfig);
    setClient(client: AxiosInstance): ClientInterface;
    getClient(): AxiosInstance;
    addDefaultHeaders(headers: ConfigRecordInterface): AxiosClient;
    call(method: Method, path: string, config?: ConfigRecordInterface): Promise<AxiosResponse>;
    request(reqConfig: AxiosRequestConfig): Promise<AxiosResponse>;
    getDrupalError(response: AxiosResponse): DrupalError;
}
