"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Config = void 0;
/**
 * Common getter setter for a config.
 */
class Config {
    constructor(config) {
        this._record = config;
    }
    getItem(key) {
        if (Object.prototype.hasOwnProperty.call(this._record, key)) {
            return this._record[key];
        }
        throw new Error(`Configuration key not found: ${key}`);
    }
    setItem(keyName, keyValue) {
        this._record[keyName] = keyValue;
        return false;
    }
    removeItem(keyName) {
        delete this._record[keyName];
        return this._record[keyName] === undefined;
    }
    clear() {
        this._record = {};
        return JSON.stringify(this._record) === JSON.stringify({});
    }
    getConfig() {
        return this._record;
    }
    setConfig(config) {
        this._record = config;
        return this;
    }
    getType() {
        return 'config';
    }
}
exports.Config = Config;
