"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Core = void 0;
const Config_1 = require("./Config");
class Core {
    constructor(config) {
        this.service = {};
        this.config = new Config_1.Config(config);
    }
    setClient(apiClient) {
        this.service.client = apiClient;
        return this;
    }
    getClient() {
        if (this.service.client === undefined) {
            throw new Error(`ApiClientService undefined`);
        }
        return this.service.client;
    }
    setSessionService(session) {
        this.service.session = session;
        return this;
    }
    getSessionService() {
        if (this.service.session === undefined) {
            throw new Error(`SessionService undefined`);
        }
        return this.service.session;
    }
}
exports.Core = Core;
