"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Drupal = void 0;
const AxiosClient_1 = require("./AxiosClient");
const Core_1 = require("./Core");
/**
 * Drupal.
 */
class Drupal extends Core_1.Core {
    constructor(config) {
        super(config);
        this.initialize(config);
    }
    initialize(options) {
        const apiConfig = Object.assign(Object.assign(Object.assign({}, Boolean(options.auth) && { auth: options.auth }), Boolean(options.headers) && { headers: options.headers }), { baseURL: options.baseURL });
        const client = new AxiosClient_1.AxiosClient(apiConfig);
        this.setClient(client);
        return this;
    }
}
exports.Drupal = Drupal;
