import { Drupal } from './Drupal';
import { ClientInterface } from './interfaces';
/**
 * Constructs a new Drupal.Menu object with the given code and message.
 */
export declare class DrupalMenu {
    drupal: Drupal;
    client: ClientInterface;
    constructor(drupal: Drupal);
    getMenu(menuName: string): Promise<any>;
    getMenuRaw(menuName: string): Promise<any>;
    /**
     * Normalize Drupal array.
     * So that we can feed it into an algorithm that was copy-pasted from stack overflow.
     */
    normalizeListItems(data: {
        [key: string]: any;
    }): any[];
    /**
     * Check if menu data is valid.
     */
    checkIfDrupalMenuDataIsValid(data: {
        [key: string]: any;
    } | undefined): boolean;
    /**
     * Convert Flat list to Tre structure.
     */
    convertFlatListItemsToTree(inputList: any[]): any[];
}
